package com.redxun.knowledge.album.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.knowledge.album.entity.dao.AlbumYelpApprove;
import com.redxun.knowledge.album.service.AlbumYelpApproveServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/album/album/albumYelpApprove")
@Api(tags = "业务--专辑点评审批表")
@ClassDefine(title = "业务--专辑点评审批表",alias = "AlbumYelpApproveController",path = "/album/album/albumYelpApprove",packages = "album",packageName = "子系统名称")
public class AlbumYelpApproveController extends BaseController<AlbumYelpApprove> {

@Autowired
AlbumYelpApproveServiceImpl albumYelpApproveService;


@Override
public BaseService getBaseService() {
return albumYelpApproveService;
}

@Override
public String getComment() {
return "业务--专辑点评审批表";
}

}

