package com.redxun.knowledge.album.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * 文件名: AlbumCatalogueDto
 * 作者: Zizg
 * 时间: 2023/2/1
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("专辑目录信息")
@Data
public class AlbumCatalogueDto implements Serializable {

    @NotBlank(message = "目录名称不能为空")
    @ApiModelProperty("目录名称")
    private String name;

    @ApiModelProperty("知识Id集合")
    private List<Long> contents;
}
