package com.redxun.knowledge.album.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
* 业务--专辑基本信息表数据库访问层
*/
@Mapper
public interface AlbumInfoMapper extends BaseDao<AlbumInfo> {

    IPage findAllAlbumInfo(IPage<AlbumInfo> page, @Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    Integer selectCountKnowledge(@Param("albumId") String albumId, @Param("versionId") String versionId);
}
