package com.redxun.knowledge.album.service;

import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.album.entity.dao.AlbumYelpApprove;
import com.redxun.knowledge.album.mapper.AlbumYelpApproveMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* [业务--专辑点评审批表]业务服务类
*/
@Service
public class AlbumYelpApproveServiceImpl extends SuperServiceImpl<AlbumYelpApproveMapper, AlbumYelpApprove> implements BaseService<AlbumYelpApprove> {

    @Resource
    private AlbumYelpApproveMapper albumYelpApproveMapper;

    @Override
    public BaseDao<AlbumYelpApprove> getRepository() {
        return albumYelpApproveMapper;
    }

}
