package com.redxun.knowledge.album.controller;

import com.redxun.common.annotation.ClassDefine;
import com.redxun.common.base.db.BaseService;
import com.redxun.knowledge.album.entity.dao.AlbumYelp;
import com.redxun.knowledge.album.service.AlbumYelpServiceImpl;
import com.redxun.web.controller.BaseController;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/album/album/albumYelp")
@Api(tags = "业务--专辑点评表")
@ClassDefine(title = "业务--专辑点评表",alias = "AlbumYelpController",path = "/album/album/albumYelp",packages = "album",packageName = "子系统名称")
public class AlbumYelpController extends BaseController<AlbumYelp> {

@Autowired
AlbumYelpServiceImpl albumYelpService;


@Override
public BaseService getBaseService() {
return albumYelpService;
}

@Override
public String getComment() {
return "业务--专辑点评表";
}

}

