package com.redxun.knowledge.album.service;

import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.album.entity.dao.AlbumYelp;
import com.redxun.knowledge.album.mapper.AlbumYelpMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* [业务--专辑点评表]业务服务类
*/
@Service
public class AlbumYelpServiceImpl extends SuperServiceImpl<AlbumYelpMapper, AlbumYelp> implements BaseService<AlbumYelp> {

    @Resource
    private AlbumYelpMapper albumYelpMapper;

    @Override
    public BaseDao<AlbumYelp> getRepository() {
        return albumYelpMapper;
    }

}
